Bug 1274 - Невозможно подкл��ится к detached-сессии
: Невозможно подкл��ится к detached-сессии
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/screen)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-09-17 17:09 by
Modified: 2005-09-04 21:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-09-17 17:09:54
Если имеется detached-сессия, то к не  невозможно
подкл��иться
с помощь� screen -r. screen  ее не \"видит\" и игнорирует
опци� 
-r. Также не отрабатыва�тся опции -list и -wipe. Все это 
делалось на Spring2001, screen как \"родно \", так и с
/pub/distributions/MandrakeRE/Spring2001/i586/Mandrake/RPMS.RE/screen-3.9.8-ipl1mdk.i586.rpm

---

---
Проверялось на двух машинах, на одно  из которых Spring2001 -
свежеустановленны . Для себя я проблему решил 
компиляцие  из исходников версии 3.9.11 со стандартными 
опциями.
------- Comment #1 From 2002-09-17 17:38:32 -------
Could you check screen in Master 2.0 (or later)?
------- Comment #2 From 2002-09-17 17:38:32 -------
Could you check screen in Master 2.0 (or later)?
------- Comment #3 From 2002-09-18 08:18:01 -------
to ldv:
No. I havn\'t Master 2.0.
------- Comment #4 From 2002-09-18 08:18:01 -------
to ldv:
No. I havn\'t Master 2.0.
------- Comment #5 From 2002-09-22 16:35:34 -------
It has been fixed since screen-3.9.9-alt3:

- the default place for user\'s sockets is now ~/tmp/screen/
- Files:
  + /etc/profile.d/screen.sh thrown away (it made using screen almost
    impossible)

So you could throw it away, too, to get screen working and configure the place for sockets yourself.
Adding something like \"$@\" to the script (/etc/profile.d/screen.sh) which may seem to be a simple solution isn\'t good: if you call screen not from the command line, it will look for the sockets in another place and will fail.

2ldv:
Either screen-3.9.9-alt3 (or later) or a fixed version of the package from
Spring2001 should be placed to Spring2001-updates; the fixed version could include less changes than 3.9.9-alt3 to be as close to Spring2001\'s version as possible: it should be decided what the default place for user\'s sockets should be in the fixed package. Since there used to be no uniformity in screen\'s behaviour in Spring2001 (the location used to depend on whether it is called from a login shell or in some other way) and it used not to work at all, I suggest to use the new location that is valid since 3.9.9-alt3; and all active users of screen (who have detached session at the moment) should pay attention to this fact when upgrading.
------- Comment #6 From 2002-09-22 16:35:34 -------
It has been fixed since screen-3.9.9-alt3:

- the default place for user\'s sockets is now ~/tmp/screen/
- Files:
  + /etc/profile.d/screen.sh thrown away (it made using screen almost
    impossible)

So you could throw it away, too, to get screen working and configure the place for sockets yourself.
Adding something like \"$@\" to the script (/etc/profile.d/screen.sh) which may seem to be a simple solution isn\'t good: if you call screen not from the command line, it will look for the sockets in another place and will fail.

2ldv:
Either screen-3.9.9-alt3 (or later) or a fixed version of the package from
Spring2001 should be placed to Spring2001-updates; the fixed version could include less changes than 3.9.9-alt3 to be as close to Spring2001\'s version as possible: it should be decided what the default place for user\'s sockets should be in the fixed package. Since there used to be no uniformity in screen\'s behaviour in Spring2001 (the location used to depend on whether it is called from a login shell or in some other way) and it used not to work at all, I suggest to use the new location that is valid since 3.9.9-alt3; and all active users of screen (who have detached session at the moment) should pay attention to this fact when upgrading.
------- Comment #7 From 2002-11-09 17:58:18 -------
screen-3.9.9-alt3.i586.rpm in updates/Spring2001/
------- Comment #8 From 2002-11-09 17:58:18 -------
screen-3.9.9-alt3.i586.rpm in updates/Spring2001/